<template>
  <!-- 展示采购订单列表-->
  <div class="homeworkPath">
    <div class="top">
      <el-input v-model="input" placeholder="请输入内容" clearable></el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      input:"",
      state: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/ams/getPurchaseOrderList?apiId=81",
      },
    };
  },
  mounted() {
  },
  methods: {
    handleSelect(item) {
      console.log(item);
    },
    onclick() {
       this.option.requestUrl =
          "/api/v1/ams/getPurchaseOrderList?apiId=81&con=" + this.input;
    },
  },
};

</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input {
      width: 250px;
    }
  }
}
</style>